#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "GameplayTagContainer.h"
#include "PlayersInDyingStateSurrenderTrackerComponent.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UPlayersInDyingStateSurrenderTrackerComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	TArray<FGameplayTag> _stateTagsForDyingStateExemption;

public:
	UPlayersInDyingStateSurrenderTrackerComponent();
};

FORCEINLINE uint32 GetTypeHash(const UPlayersInDyingStateSurrenderTrackerComponent) { return 0; }
